summaryrefslogtreecommitdiff
path: root/hooks/boot-cd
diff options
context:
space:
mode:
authorAaron Griffin <aaron@archlinux.org>2006-09-29 06:19:06 +0000
committerAaron Griffin <aaron@archlinux.org>2006-09-29 06:19:06 +0000
commit49284a96faf1c29b6b05ac70ea5c2ecda03fa75f (patch)
tree150d9275d07fec99ceb66f4584a980bbf9b2ff62 /hooks/boot-cd
parent2b5cd0819fdf0d3f408f3e9d72060b90f4320c38 (diff)
downloadarchiso32-49284a96faf1c29b6b05ac70ea5c2ecda03fa75f.tar.xz
git-svn-id: http://phraktured.net/archiso@15 00a9fe69-e71b-0410-bb23-df0e5024db41
Diffstat (limited to 'hooks/boot-cd')
-rw-r--r--hooks/boot-cd30
1 files changed, 30 insertions, 0 deletions
diff --git a/hooks/boot-cd b/hooks/boot-cd
new file mode 100644
index 0000000..d6d9da6
--- /dev/null
+++ b/hooks/boot-cd
@@ -0,0 +1,30 @@
+# vim: set ft=sh:
+run_hook ()
+{
+ msg ":: Scanning for boot cdrom device..."
+
+ /bin/mkdir -p /tmpfs/bootmnt
+ bootmnt="/tmpfs/bootmnt/"
+ found=0
+
+ /bin/modprobe -q isofs >/dev/null 2>&1
+ for cdrom in /dev/cd/*; do
+ if mount -r -t iso9660 "${cdrom}" ${bootmnt} >/dev/null 2>&1; then
+ if [ -e "${bootmnt}/archiso.sqfs" ]; then
+ found=1
+ msg "${cdrom}"
+ break
+ fi
+ else
+ echo "Failed to mount ${cdrom}"
+ fi
+ [ ${found} -eq 0 ] && umount ${bootmnt} >/dev/null 2>&1
+ done
+
+ if [ ${found} -eq 0 ]; then
+ echo "ERROR: cannot find booted cdrom device, cannot continue..."
+ exit 1
+ else
+ export BOOT_MOUNT="${bootmnt}"
+ fi
+}